## org.eclipse.emf.ecore.change.impl
Class FeatureMapEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.change.impl.FeatureMapEntryImpl

All Implemented Interfaces:
  Notifier, FeatureMapEntry, EObject, InternalEObject, FeatureMap.Entry, FeatureMap.Entry.Internal

    public class FeatureMapEntryImpl

extends EObjectImpl
implements FeatureMapEntry, FeatureMap.Entry.Internal

An implementation of the model object 'Feature Map Entry'.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`FeatureMap.Entry.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `DATA_VALUE_EDEFAULT` The default value of the '`Data Value`' attribute
`protected static int` `EPROXY_FEATURECHANGE` The bit of `EObjectImpl.eFlags` that is used to represent if feature is a proxy.
`protected EStructuralFeature` `feature`
`protected static java.lang.String` `FEATURE_NAME_EDEFAULT` The default value of the '`Feature Name`' attribute
`protected java.lang.String` `featureName`
`protected java.lang.Object` `value`
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute
`protected java.lang.String` `valueString`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FeatureMapEntryImpl()`
`protected` `FeatureMapEntryImpl(EStructuralFeature feature, java.lang.Object value)`

Method Summary
`EStructuralFeature` `basicGetFeature()`
`EObject` `basicGetReferenceValue()`
`FeatureMap.Entry.Internal` `createEntry(InternalEObject value)`
`FeatureMap.Entry.Internal` `createEntry(java.lang.Object value)`
`protected ListChange` `createListChange(EList<ListChange> changesList, ChangeKind kind, int index)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getDataValue()`
`EStructuralFeature` `getEStructuralFeature()` Returns the feature.
`EStructuralFeature` `getFeature()`
`java.lang.String` `getFeatureName()`
`protected EObject` `getGreatGrandParent()`
`EObject` `getReferenceValue()`
`java.lang.Object` `getValue()`
`NotificationChain` `inverseAdd(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseAdd(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, int featureID, NotificationChain notifications)`
`NotificationChain` `inverseRemove(InternalEObject owner, java.lang.Object otherEnd, int featureID, NotificationChain notifications)`
`boolean` `isSetFeature()`
`boolean` `isSetFeatureName()`
`void` `setDataValue(java.lang.String newDataValue)`
`void` `setFeature(EStructuralFeature newFeature)`
`void` `setFeatureName(java.lang.String newFeatureName)`
`void` `setReferenceValue(EObject newReferenceValue)`
`protected void` `setValue(java.lang.Object value)`
`void` `unsetFeature()`
`void` `unsetFeatureName()`
`void` `validate(java.lang.Object value)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EPROXY_FEATURECHANGE

    protected static final int EPROXY_FEATURECHANGE

  The bit of `EObjectImpl.eFlags` that is used to represent if feature is a proxy.

  See Also:
    Constant Field Values

### FEATURE_NAME_EDEFAULT

    protected static final java.lang.String FEATURE_NAME_EDEFAULT

  The default value of the '`Feature Name`' attribute.

  See Also:
    `getFeatureName()`

### DATA_VALUE_EDEFAULT

    protected static final java.lang.String DATA_VALUE_EDEFAULT

  The default value of the '`Data Value`' attribute.

  See Also:
    `getDataValue()`

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### feature

    protected EStructuralFeature feature

### featureName

    protected java.lang.String featureName

### value

    protected java.lang.Object value

### valueString

    protected java.lang.String valueString

Constructor Detail

### FeatureMapEntryImpl

    protected FeatureMapEntryImpl()

### FeatureMapEntryImpl

    protected FeatureMapEntryImpl(EStructuralFeature feature,
                                  java.lang.Object value)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getFeatureName

    public java.lang.String getFeatureName()

  Specified by:
    `getFeatureName` in interface `FeatureMapEntry`
  Returns:
    the value of the 'Feature Name' attribute.
  See Also:
    `FeatureMapEntry.isSetFeatureName()`, `FeatureMapEntry.unsetFeatureName()`, `FeatureMapEntry.setFeatureName(String)`, `ChangePackage.getFeatureMapEntry_FeatureName()`

### setFeatureName

    public void setFeatureName(java.lang.String newFeatureName)

  Specified by:
    `setFeatureName` in interface `FeatureMapEntry`
  Parameters:
    `newFeatureName` - the new value of the 'Feature Name' attribute.
  See Also:
    `FeatureMapEntry.isSetFeatureName()`, `FeatureMapEntry.unsetFeatureName()`, `FeatureMapEntry.getFeatureName()`

### unsetFeatureName

    public void unsetFeatureName()

  Specified by:
    `unsetFeatureName` in interface `FeatureMapEntry`
  See Also:
    `FeatureMapEntry.isSetFeatureName()`, `FeatureMapEntry.getFeatureName()`, `FeatureMapEntry.setFeatureName(String)`

### isSetFeatureName

    public boolean isSetFeatureName()

  Specified by:
    `isSetFeatureName` in interface `FeatureMapEntry`
  Returns:
    whether the value of the 'Feature Name' attribute is set.
  See Also:
    `FeatureMapEntry.unsetFeatureName()`, `FeatureMapEntry.getFeatureName()`, `FeatureMapEntry.setFeatureName(String)`

### getGreatGrandParent

    protected EObject getGreatGrandParent()

### getDataValue

    public java.lang.String getDataValue()

  Specified by:
    `getDataValue` in interface `FeatureMapEntry`
  Returns:
    the value of the 'Data Value' attribute.
  See Also:
    `FeatureMapEntry.setDataValue(String)`, `ChangePackage.getFeatureMapEntry_DataValue()`

### setDataValue

    public void setDataValue(java.lang.String newDataValue)

  Specified by:
    `setDataValue` in interface `FeatureMapEntry`
  Parameters:
    `newDataValue` - the new value of the 'Data Value' attribute.
  See Also:
    `FeatureMapEntry.getDataValue()`

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `FeatureMap.Entry`
  Returns the feature.

  Specified by:
    `getEStructuralFeature` in interface `FeatureMap.Entry`
  Returns:
    the feature.

### getFeature

    public EStructuralFeature getFeature()

  Specified by:
    `getFeature` in interface `FeatureMapEntry`
  Returns:
    the value of the 'Feature' reference.
  See Also:
    `FeatureMapEntry.isSetFeature()`, `FeatureMapEntry.unsetFeature()`, `FeatureMapEntry.setFeature(EStructuralFeature)`, `ChangePackage.getFeatureMapEntry_Feature()`

### basicGetFeature

    public EStructuralFeature basicGetFeature()

### setFeature

    public void setFeature(EStructuralFeature newFeature)

  Specified by:
    `setFeature` in interface `FeatureMapEntry`
  Parameters:
    `newFeature` - the new value of the 'Feature' reference.
  See Also:
    `FeatureMapEntry.isSetFeature()`, `FeatureMapEntry.unsetFeature()`, `FeatureMapEntry.getFeature()`

### unsetFeature

    public void unsetFeature()

  Specified by:
    `unsetFeature` in interface `FeatureMapEntry`
  See Also:
    `FeatureMapEntry.isSetFeature()`, `FeatureMapEntry.getFeature()`, `FeatureMapEntry.setFeature(EStructuralFeature)`

### isSetFeature

    public boolean isSetFeature()

  Specified by:
    `isSetFeature` in interface `FeatureMapEntry`
  Returns:
    whether the value of the 'Feature' reference is set.
  See Also:
    `FeatureMapEntry.unsetFeature()`, `FeatureMapEntry.getFeature()`, `FeatureMapEntry.setFeature(EStructuralFeature)`

### getReferenceValue

    public EObject getReferenceValue()

  Specified by:
    `getReferenceValue` in interface `FeatureMapEntry`
  Returns:
    the value of the 'Reference Value' reference.
  See Also:
    `FeatureMapEntry.setReferenceValue(EObject)`, `ChangePackage.getFeatureMapEntry_ReferenceValue()`

### basicGetReferenceValue

    public EObject basicGetReferenceValue()

### setReferenceValue

    public void setReferenceValue(EObject newReferenceValue)

  Specified by:
    `setReferenceValue` in interface `FeatureMapEntry`
  Parameters:
    `newReferenceValue` - the new value of the 'Reference Value' reference.
  See Also:
    `FeatureMapEntry.getReferenceValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `FeatureMapEntry`
  Specified by:
    `getValue` in interface `FeatureMap.Entry`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ChangePackage.getFeatureMapEntry_Value()`

### setValue

    protected void setValue(java.lang.Object value)

### createListChange

    protected ListChange createListChange(EList<ListChange> changesList,
                                          ChangeKind kind,
                                          int index)

### inverseAdd

    public NotificationChain inverseAdd(InternalEObject owner,
                                        int featureID,
                                        NotificationChain notifications)

  Specified by:
    `inverseAdd` in interface `FeatureMap.Entry.Internal`

### inverseRemove

    public NotificationChain inverseRemove(InternalEObject owner,
                                           int featureID,
                                           NotificationChain notifications)

  Specified by:
    `inverseRemove` in interface `FeatureMap.Entry.Internal`

### inverseAdd

    public NotificationChain inverseAdd(InternalEObject owner,
                                        java.lang.Object otherEnd,
                                        int featureID,
                                        NotificationChain notifications)

  Specified by:
    `inverseAdd` in interface `FeatureMap.Entry.Internal`

### inverseRemove

    public NotificationChain inverseRemove(InternalEObject owner,
                                           java.lang.Object otherEnd,
                                           int featureID,
                                           NotificationChain notifications)

  Specified by:
    `inverseRemove` in interface `FeatureMap.Entry.Internal`

### validate

    public void validate(java.lang.Object value)

  Specified by:
    `validate` in interface `FeatureMap.Entry.Internal`

### createEntry

    public FeatureMap.Entry.Internal createEntry(java.lang.Object value)

  Specified by:
    `createEntry` in interface `FeatureMap.Entry.Internal`

### createEntry

    public FeatureMap.Entry.Internal createEntry(InternalEObject value)

  Specified by:
    `createEntry` in interface `FeatureMap.Entry.Internal`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.